'use strict';

apiServices.factory('APIQueue', function ($log, RestBeWin, APIBase) {

    var api = new APIBase('queue');

    api.byTenant = function (tenantId) {
        return RestBeWin.all(this.entityClass).one('bytenant', tenantId).getList();
    };

    api.byStr = function (str) {
        return RestBeWin.all(this.entityClass).one('bystring', str).getList();
    };

    api.forStationWorker = function (userId) {
        return RestBeWin.all(this.entityClass).one('user', userId).getList();
    };

    api.loadCode = function (queueId) {
        return RestBeWin.all(this.entityClass).one('getImage', queueId).get();
    };

    return api;

});
