'use strict';

apiServices.factory('APITenantMarcas', function ($log, RestBeWin, APIBase) {

    var api = new APIBase('tenantmarcas');

    api.byTenant = function (tenantId) {
        return RestBeWin.all(this.entityClass).one('tenant', tenantId).getList();
    };

    api.updateOrderList = function (tenantMarcaList) {
        return RestBeWin.all(this.entityClass).one('updateOrderList').customPOST(tenantMarcaList);
    };

    return api;
});

