'use strict';

apiServices.factory('APITicketCloseInfo', function ($log, RestBeWin, APIBase) {
    var api = new APIBase('ticketcloseinfo');

    api.getTodayHistory = function (queueId) {
        return RestBeWin.all(this.entityClass).one('history/today', queueId).getList();
    };

    api.getYesterdayHistory = function (queueId) {
        return RestBeWin.all(this.entityClass).one('history/yesterday', queueId).getList();
    };

    api.getLastMonthHistory = function (queueId) {
        return RestBeWin.all(this.entityClass).one('history/lastmonth', queueId).getList();
    };

    api.getLastWeekHistory = function (queueId) {
        return RestBeWin.all(this.entityClass).one('history/lastweek', queueId).getList();
    };

    api.getLastYearHistory = function (queueId) {
        return RestBeWin.all(this.entityClass).one('history/lastyear', queueId).getList();
    };

    return api;
});