'use strict';

apiAppointmentServices.factory('FestiveAPI', function (RestAppointment, APIBaseAppointment) {

    var api = new APIBaseAppointment('festive');

    api.obtainFestives = function (queueId, servicePointId, userId) {
        var params = {
            "queueId": queueId,
            "servicePointId": servicePointId,
            "userId": userId
        };
        return RestAppointment.all(this.entityClass).customGET("obtainFestives", params);
    };

    return api;

});