'use strict';

apiAppointmentServices.factory('SlotAPI', function (RestAppointment, APIBaseAppointment) {

    var api = new APIBaseAppointment('slot');

    api.findAvailableDays = function (queueId, numberOfDays) {
        var params = {
            "queueId": queueId,
            "numberOfDays": numberOfDays
        };
        return RestAppointment.all(this.entityClass).customGET("findAvailableDays", params);
    };

    api.isSlotAvailable = function (queueId, start, end) {
        var params = {
            "queueId": queueId,
            "start": start,
            "end": end
        };
        return RestAppointment.all(this.entityClass).customGET("isSlotAvailable", params);
    };

    api.findAvailableSlots = function (queueId, date) {
        var params = {
            "queueId": queueId,
            "date": date
        };
        return RestAppointment.all(this.entityClass).customGET("findAvailableSlots", params);
    };

    return api;

});