'use strict';

var services = angular.module('noq.services', []);

services.factory('configurationService', function ($location) {

	var protocol = $location.protocol();

    var configuration = {
        securityToken: '87ce4710-1dc3-4e32-9fa3-fa416dc64edd',
        // URL PROD
        apiURL: protocol + '://orange.bewin.altabox.net/bewin-module/api',
        apiAppointmentURL: protocol + '://orange.bewin.altabox.net/appointments-module/api',
        apiPromotionURL: protocol + '://orange.bewin.altabox.net/promotion-module/api',

        apiCapacityURL: 'https://counterdb.altabox.net/capacity-module/api',

        // URL DEMO
        //apiURL: 'http://services099.pre.altabox.net:7080/bewin-module-test/api',
        //apiAppointmentURL: 'http://services099.pre.altabox.net:7080/appointments-module/api',
        //apiPromotionURL: 'http://services099.pre.altabox.net:7080/promotion-module/api'

        // URL PRE int
        /*  apiURL: protocol +'://desarrollo01.altabox.net/bewin-module-orange/api',
         apiAppointmentURL: protocol +'://desarrollo01.altabox.net/appointments-module-orange/api',
         apiPromotionURL:  protocol + '://desarrollo01.altabox.net/promotion-module/api'
 */
        //apiCapacityURL: 'http://desarrollo01.altabox.net:8080/capacity-module/api'
        // URL PRE ext
        //apiURL: 'http://85.152.56.237:8888/bewin-orange/api',
        //apiAppointmentURL: 'http://85.152.56.237:8888/appointments-module/api',
        //apiPromotionURL: 'http://85.152.56.237:8888/promotion-module/api'
        // URL local

        //apiURL: 'http://localhost:6080/api',
        //apiAppointmentURL: 'http://localhost:6081/api',
        //apiPromotionURL: 'http://localhost:7081/api',

        //apiCapacityURL: 'http://localhost:6085/api'
    };

    return configuration;
});