'use strict';

angular.module('bewin_orange')
    .controller('QueueModalController', function ($log, $scope, NavigationServices, entity) {
        $log.log("QueueModalController started ..");

        $scope.model = {
            filter: '',
            queues: []
        };

        $scope.selectQueue = function (queue) {
            var result = {
                queue: queue,
                user: entity
            };
            NavigationServices.modalInstance.close(result);
        };


        $scope.closeModalSelectCurrentQueue = function () {
            NavigationServices.closeModal();
        };

        var loadAll = function () {
            $scope.model.queues = entity.queues;
        };

        loadAll();

    });


