'use strict';

(function () {
    angular.module('bewin_orange', [
        '720kb.datepicker',
        'angular-ladda',
        'angular.filter',
        'toastr',
        'localytics.directives',
        'restangular',
        'smart-table',
        'naturalSort',
        'ngSanitize',
        'ngFileUpload',
        'ng.ckeditor',
        'ui.router',
        'ui.bootstrap',
        'ui.select',
        'ui.sortable',
        'uiSwitch',
        'pascalprecht.translate',
        'noq.services',
        'noq.api',
        'noq.api.promotions',
        'noq.api.appointments',
        'noq.api.capacity'
    ]).constant('ORANGE_QUEUES', {
        'Cliente_AtencionCliente_conCita': 1,
        'Cliente_AtencionCliente_sinCita': 2,
        'Cliente_InfoComercial_Empresas_conCita': 3,
        'Cliente_InfoComercial_Empresas_sinCita': 4,
        'Cliente_InfoComercial_Particulares_Cita': 5,
        'Cliente_InfoComercial_Particulares': 6,
        'Cliente_RecargasPrepago': 7,
        'Cliente_TuExperto': 8,
        'FT_Duplicados_SIM': 9,
        'FT_Info_Accesorios': 10,
        'FT_RecogidaPedidos': 11,
        'Reparaciones': 12,
        'NoCliente_InfoComercial_Empresas_conCita': 13,
        'NoCliente_InfoComercial_Empresas_sinCita': 14,
        'NoCliente_InfoComercial_Particulares_Cita': 15,
        'NoCliente_InfoComercial_Particulares': 16,
        'NoCliente_RecargasPrepago': 17,
        'NoCliente_TuExperto': 18,
        'NoCliente_FT_Info_Accesorios': 19,
        'Entrega_Router': 22,
        'ClienteJazztel_Informacion_comercial':23,
        'ClienteJazztel_DuplicadoSIM':24,
        'ClienteJazztel_Consulta':25,
        'Cliente_Ayuda_Sobre_TuServicio':26
    }).constant('TIMETABLE_TYPE', {
        'APPOINTMENT': 'APPOINTMENT',
        'OPEN_CLOSE': 'OPEN_CLOSE'
    })
})();