'use strict';

apiAppointmentServices.factory('FestiveGroupingAPI', function (RestAppointment, APIBaseAppointment) {

    var api = new APIBaseAppointment('festiveGrouping');

    api.findGenerics = function () {
        return RestAppointment.all(this.entityClass).one("findGenerics").getList();
    };

    api.findByQueue = function (queueId) {
        var params = {
            "queueId": queueId
        };
        return api.search(params);
    };

    return api;

});