'use strict';

apiPromotionsServices.factory('PromotionGroupingAPI', function (RestPromotions, APIBasePromotions) {

    var api = new APIBasePromotions('promotionGrouping');

    api.findGenerics = function () {
        return RestPromotions.all(this.entityClass).one("findGenerics").getList();
    };

    api.findByQueue = function (queueId) {
        var params = {
            "queueId": queueId
        };
        return api.search(params);
    };

    return api;

});